<div class="background">

    <div nz-row>
        <div nz-col nzSpan="8" nzOffset="8" nzJustify="center">
            <div class="logoContainer">
                <img class="logo"
                    src="https://d2eip9sf3oo6c2.cloudfront.net/series/square_covers/000/000/033/full/egghead-angular-material-course-sq.png"
                    alt="logo">
            </div>

            <ng-template #indicatorTemplate><i nz-icon nzType="loading" class="indicator"></i>
            </ng-template>
            <nz-spin *ngIf="isLoading" class="spinLoading" nzSimple [nzIndicator]="indicatorTemplate">
            </nz-spin>

            <form *ngIf="!isLoading" nz-form [formGroup]="validateForm" class="login-form" (ngSubmit)="submitForm()">
                <nz-form-item>
                    <nz-form-control nzErrorTip="Ingresa tu correo">
                        <nz-input-group nzSize="large" nzPrefixIcon="mail">
                            <input type="text" nz-input formControlName="email" placeholder="Correo" email="true" />
                        </nz-input-group>
                    </nz-form-control>
                </nz-form-item>
                <nz-form-item>
                    <nz-form-control nzErrorTip="Ingresa tu contraseña">
                        <nz-input-group nzSize="large" nzPrefixIcon="lock">
                            <input type="password" nz-input formControlName="password" placeholder="Contraseña" />
                        </nz-input-group>
                    </nz-form-control>
                </nz-form-item>
                <nz-form-item>
                    <nz-form-control>
                        <button nz-button nzSize="large" nzBlock class="login-form-button"
                            [nzType]="'primary'">Entrar</button>
                    </nz-form-control>
                </nz-form-item>

            </form>
            <button *ngIf="!isLoading" nzSize="large" nz-button nzType="link" nzBlock nzGhost routerLink="/signup">No
                tengo
                cuenta, registrarme ahora</button>
        </div>
    </div>
</div>